package mokuai

import (
	"strconv"
	"time"
)

// 时间戳 转 字符串 。 OutForm 输出格式 整数型      可空。 0=N年N月N日 N时N分N秒 1=年-月-日 时:分:秒 2=年/月/日 时/分/秒 3=年月日时分秒
// OutType 取出类型 整数型      可空。-1=全部 + PM(12小时制) ，0=全部，1=只取年月日，2=取月日，3=只取时分秒，4=时分，5=分秒，6=只取年，7=只取月，8=只取日，9=只取时，10=只取分，11=只取秒
func Time_TimestampToTimeStr(timestamp string, OutForm, OutType int) string {
	i64, _ := strconv.ParseInt(timestamp, 10, 64)
	tm := time.Unix(i64, 0)
	if OutForm == 0 {
		if OutType == 0 {
			return tm.Format("2006年01月02日 15时04分05秒")
		} else if OutType == 1 {
			return tm.Format("2006年01月02日")
		} else if OutType == 2 {
			return tm.Format("01月02日")
		} else if OutType == 3 {
			return tm.Format("15时04分05秒")
		} else if OutType == 4 {
			return tm.Format("15时04分")
		} else if OutType == 5 {
			return tm.Format("04分05秒")
		} else if OutType == 6 {
			return tm.Format("2006年")
		} else if OutType == 7 {
			return tm.Format("01月")
		} else if OutType == 8 {
			return tm.Format("02日")
		} else if OutType == 9 {
			return tm.Format("15时")
		} else if OutType == 10 {
			return tm.Format("04分")
		} else if OutType == 11 {
			return tm.Format("05秒")
		}
	} else if OutForm == 1 {
		if OutType == 0 {
			return tm.Format("2006-01-02 15:04:05")
		} else if OutType == 1 {
			return tm.Format("2006-01-02")
		} else if OutType == 2 {
			return tm.Format("01-02")
		} else if OutType == 3 {
			return tm.Format("15:04:05")
		} else if OutType == 4 {
			return tm.Format("15:04")
		} else if OutType == 5 {
			return tm.Format("04:05")
		} else if OutType == 6 {
			return tm.Format("2006")
		} else if OutType == 7 {
			return tm.Format("01")
		} else if OutType == 8 {
			return tm.Format("02")
		} else if OutType == 9 {
			return tm.Format("15")
		} else if OutType == 10 {
			return tm.Format("04")
		} else if OutType == 11 {
			return tm.Format("05")
		}
	} else if OutForm == 2 {
		if OutType == 0 {
			return tm.Format("2006/01/02 15/04/05")
		} else if OutType == 1 {
			return tm.Format("2006/01/02")
		} else if OutType == 2 {
			return tm.Format("01/02")
		} else if OutType == 3 {
			return tm.Format("15/04/05")
		} else if OutType == 4 {
			return tm.Format("15/04")
		} else if OutType == 5 {
			return tm.Format("04/05")
		} else if OutType == 6 {
			return tm.Format("2006")
		} else if OutType == 7 {
			return tm.Format("01")
		} else if OutType == 8 {
			return tm.Format("02")
		} else if OutType == 9 {
			return tm.Format("15")
		} else if OutType == 10 {
			return tm.Format("04")
		} else if OutType == 11 {
			return tm.Format("05")
		}
	} else if OutForm == 3 {
		if OutType == 0 {
			return tm.Format("20060102 150405")
		} else if OutType == 1 {
			return tm.Format("20060102")
		} else if OutType == 2 {
			return tm.Format("0102")
		} else if OutType == 3 {
			return tm.Format("150405")
		} else if OutType == 4 {
			return tm.Format("1504")
		} else if OutType == 5 {
			return tm.Format("0405")
		} else if OutType == 6 {
			return tm.Format("2006")
		} else if OutType == 7 {
			return tm.Format("01")
		} else if OutType == 8 {
			return tm.Format("02")
		} else if OutType == 9 {
			return tm.Format("15")
		} else if OutType == 10 {
			return tm.Format("04")
		} else if OutType == 11 {
			return tm.Format("05")
		}
	} else {
		return tm.Format("2006-01-02 15:04:05 PM")
	}

	return tm.Format("2006-01-02 03:04:05 PM")
}

// 取当前时间戳 ，10位
func Time_GetNowTimestamp() int {
	return int(time.Now().Unix())
}

// 取当前时间 文本型
// OutForm 输出格式 整数型      可空。 0=N年N月N日 N时N分N秒 1=年-月-日 时:分:秒 2=年/月/日 时/分/秒 3=年月日时分秒
// OutType 取出类型 整数型      可空。 -1=全部 + PM(12小时制) ，0=全部，1=只取年月日，2=取月日，3=只取时分秒，4=时分，5=分秒，6=只取年，7=只取月，8=只取日，9=只取时，10=只取分，11=只取秒
func Time_GetNowTimeStr(OutForm, OutType int) string {
	tm := time.Now()
	if OutForm == 0 {
		if OutType == 0 {
			return tm.Format("2006年01月02日 15时04分05秒")
		} else if OutType == 1 {
			return tm.Format("2006年01月02日")
		} else if OutType == 2 {
			return tm.Format("01月02日")
		} else if OutType == 3 {
			return tm.Format("15时04分05秒")
		} else if OutType == 4 {
			return tm.Format("15时04分")
		} else if OutType == 5 {
			return tm.Format("04分05秒")
		} else if OutType == 6 {
			return tm.Format("2006年")
		} else if OutType == 7 {
			return tm.Format("01月")
		} else if OutType == 8 {
			return tm.Format("02日")
		} else if OutType == 9 {
			return tm.Format("15时")
		} else if OutType == 10 {
			return tm.Format("04分")
		} else if OutType == 11 {
			return tm.Format("05秒")
		}
	} else if OutForm == 1 {
		if OutType == 0 {
			return tm.Format("2006-01-02 15:04:05")
		} else if OutType == 1 {
			return tm.Format("2006-01-02")
		} else if OutType == 2 {
			return tm.Format("01-02")
		} else if OutType == 3 {
			return tm.Format("15:04:05")
		} else if OutType == 4 {
			return tm.Format("15:04")
		} else if OutType == 5 {
			return tm.Format("04:05")
		} else if OutType == 6 {
			return tm.Format("2006")
		} else if OutType == 7 {
			return tm.Format("01")
		} else if OutType == 8 {
			return tm.Format("02")
		} else if OutType == 9 {
			return tm.Format("15")
		} else if OutType == 10 {
			return tm.Format("04")
		} else if OutType == 11 {
			return tm.Format("05")
		}
	} else if OutForm == 2 {
		if OutType == 0 {
			return tm.Format("2006/01/02 15/04/05")
		} else if OutType == 1 {
			return tm.Format("2006/01/02")
		} else if OutType == 2 {
			return tm.Format("01/02")
		} else if OutType == 3 {
			return tm.Format("15/04/05")
		} else if OutType == 4 {
			return tm.Format("15/04")
		} else if OutType == 5 {
			return tm.Format("04/05")
		} else if OutType == 6 {
			return tm.Format("2006")
		} else if OutType == 7 {
			return tm.Format("01")
		} else if OutType == 8 {
			return tm.Format("02")
		} else if OutType == 9 {
			return tm.Format("15")
		} else if OutType == 10 {
			return tm.Format("04")
		} else if OutType == 11 {
			return tm.Format("05")
		}
	} else if OutForm == 3 {
		if OutType == 0 {
			return tm.Format("20060102 150405")
		} else if OutType == 1 {
			return tm.Format("20060102")
		} else if OutType == 2 {
			return tm.Format("0102")
		} else if OutType == 3 {
			return tm.Format("150405")
		} else if OutType == 4 {
			return tm.Format("1504")
		} else if OutType == 5 {
			return tm.Format("0405")
		} else if OutType == 6 {
			return tm.Format("2006")
		} else if OutType == 7 {
			return tm.Format("01")
		} else if OutType == 8 {
			return tm.Format("02")
		} else if OutType == 9 {
			return tm.Format("15")
		} else if OutType == 10 {
			return tm.Format("04")
		} else if OutType == 11 {
			return tm.Format("05")
		}
	} else {
		return tm.Format("2006-01-02 15:04:05 PM")
	}

	return tm.Format("2006-01-02 03:04:05 PM")

}
